The Manufacturing Settings object
Attributes
Unique identifier for the object.
ISO 8601 timestamp of when the object was created.
ISO 8601 timestamp of when the object was last updated.
Default: false
Default: false
Default: 30
Default: BOM
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
{
"id": "manufacturing-settings_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"allow_overtime": false,
"allow_production_on_holidays": false,
"capacity_planning_for_days": 30,
"mins_between_operations": 0,
"overproduction_percentage_for_sales_order": 0,
"overproduction_percentage_for_work_order": 0,
"backflush_raw_materials_based_on": "BOM",
"material_consumption": false,
"update_bom_costs_automatically": false,
"disable_capacity_planning": false,
"make_serial_no_batch_from_work_order": false,
"add_corrective_operation_cost_in_finished_good_valuation": false,
"job_card_excess_transfer": false,
"get_rm_cost_from_consumption_entry": false,
"validate_components_quantities_per_bom": false,
"enforce_time_logs": false,
"transfer_extra_materials_percentage": 0,
"allow_editing_of_items_and_quantities_in_work_order": false,
"set_op_cost_and_secondary_items_from_sub_assemblies": false
} /api/manufacturing/manufacturing-settings Retrieve manufacturing settings
Retrieves the current manufacturing settings. This is a singleton resource.
Returns
Returns the manufacturing settings object.
curl https://api.overplane.dev/api/manufacturing/manufacturing-settings \
-H "Authorization: Bearer sk_test_..." {
"id": "manufacturing-settings_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"allow_overtime": false,
"allow_production_on_holidays": false,
"capacity_planning_for_days": 30,
"mins_between_operations": 0,
"overproduction_percentage_for_sales_order": 0,
"overproduction_percentage_for_work_order": 0,
"backflush_raw_materials_based_on": "BOM",
"material_consumption": false,
"update_bom_costs_automatically": false,
"disable_capacity_planning": false,
"make_serial_no_batch_from_work_order": false,
"add_corrective_operation_cost_in_finished_good_valuation": false,
"job_card_excess_transfer": false,
"get_rm_cost_from_consumption_entry": false,
"validate_components_quantities_per_bom": false,
"enforce_time_logs": false,
"transfer_extra_materials_percentage": 0,
"allow_editing_of_items_and_quantities_in_work_order": false,
"set_op_cost_and_secondary_items_from_sub_assemblies": false
} /api/manufacturing/manufacturing-settings/{id} Update a manufacturing settings
Updates the specified manufacturing settings by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the manufacturing settings to update.
Body parameters
Default: false
Default: false
Default: 30
Default: BOM
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Returns
Returns the updated manufacturing settings object.
curl https://api.overplane.dev/api/manufacturing/manufacturing-settings/manufacturing-settings_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"allow_overtime":false,"allow_production_on_holidays":false}' {
"id": "manufacturing-settings_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"allow_overtime": false,
"allow_production_on_holidays": false,
"capacity_planning_for_days": 30,
"mins_between_operations": 0,
"overproduction_percentage_for_sales_order": 0,
"overproduction_percentage_for_work_order": 0,
"backflush_raw_materials_based_on": "BOM",
"material_consumption": false,
"update_bom_costs_automatically": false,
"disable_capacity_planning": false,
"make_serial_no_batch_from_work_order": false,
"add_corrective_operation_cost_in_finished_good_valuation": false,
"job_card_excess_transfer": false,
"get_rm_cost_from_consumption_entry": false,
"validate_components_quantities_per_bom": false,
"enforce_time_logs": false,
"transfer_extra_materials_percentage": 0,
"allow_editing_of_items_and_quantities_in_work_order": false,
"set_op_cost_and_secondary_items_from_sub_assemblies": false
}